array_diff
array_fill
Fonctions sur les tableaux
PHP Manual

# array_fill_keys

(PHP 5 >= 5.2.0)

array_fill_keys — Remplit un tableau avec des valeurs, en spécifiant les clés

### Description

array array_fill_keys ( array `$keys` , mixed `$value` )

Remplit un tableau avec la valeur du paramètre `value` , et en utilisant les valeurs du tableau `keys` comme clés.

### Liste de paramètres

`keys`

  Tableau de valeurs qui sera utilisé comme clés. Les valeurs illégales pour les clés seront converties en chaînes de caractères.

`value`

  Valeur à utiliser pour remplir le tableau.

### Valeurs de retour

Retourne le tableau rempli.

### Exemples

Exemple #1 Exemple avec array_fill_keys()

`<?php
$keys = array('foo', 5, 10, 'bar');
$a = array_fill_keys($keys, 'banana');
print_r($a);
?>`

L'exemple ci-dessus va afficher :

    Array
    (
        [foo] => banana
        [5] => banana
        [10] => banana
        [bar] => banana
    )

### Voir aussi

- array_fill()
- array_combine()

array_diff
array_fill
Fonctions sur les tableaux
PHP Manual